package ru.ulstu.manager.service;

import org.springframework.stereotype.Service;
import ru.ulstu.admin.model.ManagerForm;
import ru.ulstu.manager.model.Manager;
import ru.ulstu.manager.repository.ManagerRepository;

import java.util.List;

@Service
public class ManagerService {
    private final ManagerRepository managerRepository;

    public ManagerService(ManagerRepository managerRepository) {
        this.managerRepository = managerRepository;
    }

    public List<Manager> getManagers() {
        return managerRepository.findAll();
    }

    public Manager getManagerById(Integer id) {
        return managerRepository.findById(id).orElseThrow(() -> new RuntimeException("Manager not found by id"));
    }

    public void save(Manager manager) {
        managerRepository.save(manager);
    }

    public void deleteManager(ManagerForm managerForm) {
        managerRepository.deleteById(managerForm.getId());
    }
}
